PDA

View Full Version : USN-677-2: OpenOffice.org Internationalization update



rss-bot
December 23rd, 2008, 09:50 PM
Description:
================================================== ========= Ubuntu Security Notice USN-677-2 December 23, 2008 openoffice.org-l10n update https://launchpad.net/bugs/310359 ================================================== ========= A security issue affects the following Ubuntu releases: Ubuntu 8.04 LTS This advisory also applies to the corresponding versions of Kubuntu, Edubuntu, and Xubuntu. The problem can be corrected by upgrading your system to the following package versions: Ubuntu 8.04 LTS: openoffice.org-l10n-af 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ar 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-as-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-be-by 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-bg 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-bn 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-br 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-bs 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ca 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-common 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-cs 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-cy 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-da 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-de 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-dz 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-el 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-en-gb 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-en-za 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-eo 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-es 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-et 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-eu 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-fa 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-fi 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-fr 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ga 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-gl 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-gu-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-he 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-hi-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-hr 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-hu 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-it 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ja 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ka 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-km 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-kn 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ko 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ku 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-lo 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-lt 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-lv 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-mk 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ml-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-mr-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-nb 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ne 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-nl 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-nn 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-nr 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ns 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-or-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-pa-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-pl 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-pt 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-pt-br 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ro 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ru 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-rw 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-sk 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-sl 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-sr 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ss 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-st 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-sv 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-sw 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ta-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-te-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-tg 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-th 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ti-er 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-tn 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-tr 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ts 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-uk 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ur-in 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-uz 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-ve 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-vi 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-xh 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-zh-cn 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-zh-tw 1:2.4.1-1ubuntu2.1 openoffice.org-l10n-zu 1:2.4.1-1ubuntu2.1 In general, a standard system upgrade is sufficient to effect the necessary changes. Details follow: USN-677-1 fixed vulnerabilities in OpenOffice.org. The changes required that openoffice.org-l10n also be updated for the new version in Ubuntu 8.04 LTS. Original advisory details: Multiple memory overflow flaws were discovered in OpenOffice.org's handling of WMF and EMF files. If a user were tricked into opening a specially crafted document, a remote attacker might be able to execute arbitrary code with user privileges. (CVE-2008-2237, CVE-2008-2238) Dmitry E. Oboukhov discovered that senddoc, as included in OpenOffice.org, created temporary files in an insecure way. Local users could exploit a race condition to create or overwrite files with the privileges of the user invoking the program. This issue only affected Ubuntu 8.04 LTS. (CVE-2008-4937)





More... (http://www.ubuntu.com/usn/usn-677-2)